## LassoIdWsf2DiscoAbstract LassoIdWsf2DiscoAbstract — <disco:Abstract> |

## Functions

LassoIdWsf2DiscoAbstract * | lasso_idwsf2_disco_abstract_new ()
LassoIdWsf2DiscoAbstract * | lasso_idwsf2_disco_abstract_new_with_string ()

## Types and Values

struct | LassoIdWsf2DiscoAbstract

## Description

Figure 144. Schema fragment for disco:Abstract

    <xs:element name="Abstract" type="xs:string"/>

## Functions

### lasso_idwsf2_disco_abstract_new ()

    LassoIdWsf2DiscoAbstract *
    lasso_idwsf2_disco_abstract_new (void);

Creates a new LassoIdWsf2DiscoAbstract object.

#### Returns

a newly created LassoIdWsf2DiscoAbstract object

### lasso_idwsf2_disco_abstract_new_with_string ()

    LassoIdWsf2DiscoAbstract *
    lasso_idwsf2_disco_abstract_new_with_string
                                   (const char *content);

Creates a new LassoIdWsf2DiscoAbstract object and initializes it with `content` as content.

#### Parameters

content | the content string |

#### Returns

a newly created LassoIdWsf2DiscoAbstract object

## Types and Values

### struct LassoIdWsf2DiscoAbstract

    struct LassoIdWsf2DiscoAbstract {
    	LassoNode parent;

    	/* elements */
    	char *content;
    };